%nacteni trenovacich obrazku

obr=imread('smajlik.bmp');      %nacteni obrazku ze souboru
obr=rgb2gray(obr);              %převedení na odstíny šedé
obr=im2double(obr);             %převod na hodnoty double
matice=ones(size(obr)).*-1;     %prahování na černobílou,-1 černá/1 bílá
matice(obr>0.9)=1;
vektor1=reshape(matice,[1,64]); %t

obr=imread('clovek.bmp');
obr=rgb2gray(obr);
obr=im2double(obr);
matice=ones(size(obr)).*-1;
matice(obr>0.9)=1;
vektor2=reshape(matice,[1,64]);

obr=imread('spirala.bmp');
obr=rgb2gray(obr);
obr=im2double(obr);
matice=ones(size(obr)).*-1;
matice(obr>0.9)=1;
vektor3=reshape(matice,[1,64]);
